#!/usr/bin/perl -Tw

use Test::More 'no_plan';

use CPAN::Smoke::Mistake;

my $mistake = CPAN::Smoke::Mistake->new('File Not Found',  'foo.tar.gz');

ok( defined $mistake,       'new() returned something' );
ok( $mistake->isa('CPAN::Smoke::Mistake'),  "  it's an object" );

is( $mistake->name,     'File Not Found',   '  name()' );
ok( $mistake->is_fatal,                     "  it's fatal" );
is( $mistake->by,       'CPAN',             '  by()' );
is( $mistake->fix,      'Contact modules@perl.org', '  fix()' );
is( $mistake->more_info,  'foo.tar.gz',     '  more_info()' );


ok( !CPAN::Smoke::Mistake->new("This isn't a valid mistake name"),
                             'Invalid mistake name' );
